Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## configuration
Class DependencyAttributes

    java.lang.Object
      |
      +--configuration.DependencyAttributes

public class DependencyAttributes
extends java.lang.Object

Represents the attributes of a dependence. It implements the ComponentConfigurator interface.

See Also:
  `DependencySpecification`

Inner Class Summary
`static class` | `DependencyAttributes.NameValue`

Field Summary
`protected java.util.Vector` | `attributes_`

Constructor Summary
`DependencyAttributes()` Creates a holder for dependency attributes.

Method Summary
`java.util.Vector` | `getAttributes()` Accessor to the vector of attributes.
`java.lang.Object` | `getValue(java.lang.String attributeName)` Accessor to the value of an attribute.
`void` | `removeAttribute(java.lang.String name)` Removes an attribute
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Defines a new attribute or changes the value of an existing attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attributes_

    protected java.util.Vector attributes_

Constructor Detail

### DependencyAttributes

    public DependencyAttributes()

  Creates a holder for dependency attributes.

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Defines a new attribute or changes the value of an existing attribute. Note that the value is not copied, it stores a reference to it.
  Parameters:
    `name` - the name of the attribute.
    `value` - the value of the attribute.

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws NotFound

  Removes an attribute
  Parameters:
    `name` - the name of the attribute.

### getAttributes

    public java.util.Vector getAttributes()

  Accessor to the vector of attributes.
  Returns:
    a Vector containing NameValue objects corresponding to the attributes.
  See Also:
    `DependencyAttributes.NameValue`

### getValue

    public java.lang.Object getValue(java.lang.String attributeName)
                              throws NotFound

  Accessor to the value of an attribute.
  Parameters:
    `attributeName` - the name of the attribute
  Returns:
    an Object containing the value of the given attribute.
  See Also:
    `DependencyAttributes.NameValue`

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD